コンテンツにスキップ

入庫取得

GET
/receiving/{receiving_id}
curl --request GET \
--url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/receiving/2?fields=receivingId%2CreceivingStoreId&with_details=all'

指定した入庫情報を取得します。

対象プラン

  • リテールビジネス
receiving_id
required
string

入庫ID

Example
2
fields
array

検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可

Example
receivingId,receivingStoreId
with_details
string

明細取得フラグ:入庫明細を付加するか(付加する場合はall, しない場合はnone)

Example
all

取得成功

Media typeapplication/json
object
receivingId

入庫ID:自動採番

string
shippingId

出庫ID

string
receivingStoreId

入庫店舗ID

string
shippingStoreId

出庫店舗ID

string
receivingExpectedDateFrom

入庫予定日From:[YYYY-MM-DD]

string
receivingExpectedDateTo

入庫予定日To:[YYYY-MM-DD]

string
receivingDate

入庫日

string
memo

メモ

string
staffId

スタッフID:入庫登録時のスタッフID

string
identificationNo

識別番号:入庫情報を管理するための任意の文字列を設定出来る項目。

string
status

入庫ステータス:(0:未入庫、1:検品中、2:入庫完了)

string
insDateTime

作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]

string
updDateTime

更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]

string
details

入庫明細(with_details=all時のみ返される)

Array<object>
object
receivingDetailId

入庫明細ID:自動採番

string
receivingId

入庫ID:自動採番

string
productId

商品ID:同一入庫ID内でユニーク

string
scheduledQuantity

予定数

string
inspectionQuantity

検品数

string
stockoutQuantity

欠品数

string
stockoutReason

欠品理由

string
inspectionDate

検品日:[YYYY-MM-DD]
検品数、欠品数が非nullの場合は必須。

string
rfidTags

RFIDタグリスト。入庫検品分。

Array<string>
status

ステータス:(0:未検品、1:検品完了)【自動設定】

string
insDateTime

作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]

string
updDateTime

更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]

string
Example
{
"receivingId": "2",
"shippingId": "2",
"receivingStoreId": "2",
"shippingStoreId": "1",
"receivingExpectedDateFrom": "2025-01-01",
"receivingExpectedDateTo": "2025-01-02",
"receivingDate": "2025-01-01",
"memo": "入庫メモ",
"staffId": "2",
"identificationNo": "123456789",
"status": "2",
"insDateTime": "2025-01-01T00:00:00+09:00",
"updDateTime": "2025-01-01T00:01:00+09:00",
"details": [
{
"receivingDetailId": "2",
"receivingId": "2",
"productId": "8000001",
"scheduledQuantity": "5",
"inspectionQuantity": "2",
"stockoutQuantity": "3",
"stockoutReason": "欠品理由",
"inspectionDate": "2025-01-01",
"rfidTags": [
"RFID001",
"RFID002"
],
"status": "1",
"insDateTime": "2025-01-01T00:00:00+09:00",
"updDateTime": "2025-01-01T00:01:00+09:00"
}
]
}
  • リソースが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{
"type": "about:blank",
"title": "NotFound",
"detail": "指定されたIDのリソースが見つかりません",
"status": 404
}